summaryrefslogtreecommitdiff
blob: 475cbb2bdaea8964c7185e12f19d84567ba2344d (plain)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
Index: Manifest
===================================================================
--- Manifest	(revision 11496)
+++ Manifest	(working copy)
@@ -5,6 +5,6 @@
 AUX ido2db-conf.d 35 RMD160 a2bb1738720a56285da529fb18eeb60739ac817b SHA1 57ba29aec3f80db9577da4aca34d228487dd12c1 SHA256 6cbdf0eb7070121bd466c221d73cf6ca05a4af5caa1d4abedf62828edd1b1372
 AUX ido2db-init.d 539 RMD160 e89e70f67d5accc7ae66b77d9bf61d2e1cc9d647 SHA1 17f9317bd21a5e5dfd41bbb19f50357b80ba9599 SHA256 e5b6a782475cbbde5b49720cdbcbf14958338baca510e78e508902360a479b72
 DIST icinga-1.2.1.tar.gz 8655343 RMD160 1da522144cb1f30ffa2b6f47f3d324d8c736b349 SHA1 730f12808f944bd635d93bb501c55b7360f2ae24 SHA256 88d452db569dc6e32d64571cb3178b79e2ad5378668e3035bf27943edd74650c
-EBUILD icinga-1.2.1.ebuild 5807 RMD160 be7837b18bf04c8112af1831e1b84cad5e4eb6d0 SHA1 2618495d362c6099ea2c6b6ea8950ffb89fec5d1 SHA256 07fafbd56d01bd95c3b99dd3f4384513c3ce7f66bac6fefa857ab0354b0ee10b
+EBUILD icinga-1.2.1.ebuild 5931 RMD160 ae683e1d49da618672d47534459fb15bb0fb475f SHA1 ead9b4fde87032db282b149e0a38e1b90e0b4130 SHA256 49adcdca91b4d5e13a96e7ae5df0c6e423ba9ecbd9a107fc0cd293da3dac3410
 MISC ChangeLog 1780 RMD160 4ac8c0afa7d97d564f18a6935b3b1e0cd8dcaec3 SHA1 4f61ee9a085667c39807a5102dd00e439345653f SHA256 c3289bd7e0f338ba44fae7117bd559e3f04f0068ae58b685d5fa69ab9ab68735
 MISC metadata.xml 617 RMD160 48225567d6faa1646f8600b2c2a924bfecb34bfe SHA1 1332e6a76891016de22c669c834ffbc47d0986a1 SHA256 c97b32c33007fddc24119f96f12df720da5232bb459e5f1c3970e658fd08089e
Index: icinga-1.2.1.ebuild
===================================================================
--- icinga-1.2.1.ebuild	(revision 11496)
+++ icinga-1.2.1.ebuild	(working copy)
@@ -56,6 +56,7 @@
 				elog "  usermod -G icinga lighttpd "
 				elog "or"
 				elog "  chown icinga:lighttpd /etc/icinga"
+				elog "Also edit /etc/lighttpd/lighttpd.conf and add 'include \"lighttpd_icinga.conf\"'"
 			fi
 			elog
 			elog "That will make icinga's web front end visable via"
@@ -177,8 +178,9 @@
 	fowners -R icinga:icinga /etc/icinga /var/icinga || die "Failed chown of /etc/icinga"
 
 	fowners -R root:root /usr/$(get_libdir)/icinga
-	find "${D}"/usr/$(get_libdir)/icinga -type d -exec fperms 755 {} +
-	find "${D}"/usr/$(get_libdir)/icinga/cgi-bin -type f -exec fperms 755 {} +
+	cd "${D}" || die
+	find /usr/$(get_libdir)/icinga -type d -exec fperms 755 {} +
+	find /usr/$(get_libdir)/icinga/cgi-bin -type f -exec fperms 755 {} +
 
 	keepdir /etc/icinga
 	keepdir /var/icinga
@@ -186,7 +188,13 @@
 	keepdir /var/icinga/rw
 	keepdir /var/icinga/spool/checkresults
 
-	use apache2 && webserver=apache2 || use lighttpd && webserver=lighttpd || webserver=icinga
+	if use apache2 ; then
+		webserver=apache
+	elif use lighttpd ; then
+		webserver=lighttpd
+	else
+		webserver=icinga
+	fi
 	fowners -R icinga:${webserver} /var/icinga/rw || die "Failed chown of /var/icinga/rw"
 
 	fperms 6755 /var/icinga/rw || die "Failed Chmod of ${D}/var/icinga/rw"